> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a new collection

> Create a new collection and link it as a token.
Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, and Editor.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml post /tokenization/collections
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /tokenization/collections:
    post:
      tags:
        - Tokenization
      summary: Create a new collection
      description: >-
        Create a new collection and link it as a token.

        Endpoint Permission: Owner, Admin, Non-Signing Admin, Signer, and
        Editor.
      operationId: createNewCollection
      parameters:
        - $ref: '#/components/parameters/X-Idempotency-Key'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CollectionDeployRequestDto'
      responses:
        '201':
          description: Collection was created successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CollectionLinkDto'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response: Promise<FireblocksResponse<CollectionLinkDto>> =
            fireblocks.tokenization.createNewCollection(tokenizationApiCreateNewCollectionRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<CollectionLinkDto>> response =
            fireblocks.tokenization().createNewCollection(collectionDeployRequestDto,
            idempotencyKey);
        - lang: Python
          source: >-
            response =
            fireblocks.tokenization.create_new_collection(collection_deploy_request_dto,
            idempotency_key);
components:
  parameters:
    X-Idempotency-Key:
      name: Idempotency-Key
      in: header
      description: >-
        A unique identifier for the request. If the request is sent multiple
        times with the same idempotency key, the server will return the same
        response as the first request. The idempotency key is valid for 24
        hours.
      required: false
      schema:
        type: string
  schemas:
    CollectionDeployRequestDto:
      type: object
      properties:
        baseAssetId:
          type: string
          description: The blockchain base assetId
          example: ETH
        vaultAccountId:
          type: string
          example: '0'
          description: >-
            The id of the vault account that initiated the request to issue the
            token
        type:
          allOf:
            - $ref: '#/components/schemas/CollectionType'
          example: NON_FUNGIBLE_TOKEN
        name:
          type: string
          example: DigitalArtTokens
          description: A string that represents the name of the collection
        symbol:
          type: string
          example: DAT
          description: A string that represents the symbol of the collection
        adminAddress:
          type: string
          example: '0x5503766D27d1ED4525f5053222E18b29C38eDdB2'
          description: >-
            The EVM address of the user that will be set as the admin user of
            the collection
        displayName:
          type: string
          example: DigitalArtTokens
          description: A string to display as a name of the collection
      required:
        - baseAssetId
        - vaultAccountId
        - type
        - name
        - symbol
        - adminAddress
    CollectionLinkDto:
      type: object
      properties:
        id:
          type: string
          description: The collection id
          example: fbfbfbfb-fbfb-fbfb-fbfb-fbfbfbfbfbfb
        status:
          enum:
            - PENDING
            - COMPLETED
          type: string
          description: The collection status
          example: COMPLETED
        type:
          allOf:
            - $ref: '#/components/schemas/CollectionType'
          example: NON_FUNGIBLE_TOKEN
        displayName:
          type: string
          description: >-
            The display name of the collection. If was not provided, would be
            taken from the contract template
          example: My Simple ERC721 Collection
        collectionMetadata:
          description: The collection's metadata
          allOf:
            - $ref: '#/components/schemas/CollectionMetadataDto'
      required:
        - id
        - status
        - type
    CollectionType:
      type: string
      description: The type of collection
      enum:
        - NON_FUNGIBLE_TOKEN
        - SEMI_FUNGIBLE_TOKEN
    CollectionMetadataDto:
      type: object
      properties:
        fbCollectionId:
          type: string
          description: Fireblocks collection id
          example: 911fe739f0d4d123c98fd366c3bed35c6e30c00e
        name:
          type: string
          description: Collection name
          example: Rarible
        symbol:
          type: string
          description: Collection symbol
          example: RARI
        standard:
          type: string
          description: Collection contract standard
          example:
            - ERC721
            - ERC1155
            - FA2
        blockchainDescriptor:
          type: string
          description: Collection's blockchain
          example: ETH
        contractAddress:
          type: string
          description: Collection contract address
          example: '0x1723017329a804564bC8d215496C89eaBf1F3211'
      required:
        - fbCollectionId
        - blockchainDescriptor
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs

````